using System;
using Bespoke.Robotics.Common;

namespace Bespoke.Robotics.BrainStem
{
    /// <summary>
    /// The two-byte time value from a digital I/O pin state-transition timer.
    /// </summary>
    public class DigitalIoTime
    {
        /// <summary>
        /// The digital I/O timer ID
        /// </summary>
        public DigitalIoTimerId DigitalIoTimerId
        {
            get
            {
                return mDigitalIoTimerId;
            }
        }

        /// <summary>
        /// The two-byte time value
        /// </summary>
        public byte[] Time
        {
            get
            {
                return mTime;
            }
        }

        public DigitalIoTime(DigitalIoTimerId digitalIoTimerId, byte[] time)
        {
            Assert.IsTrue(time.Length == 2);

            mDigitalIoTimerId = digitalIoTimerId;
            mTime = time;
        }

        private DigitalIoTimerId mDigitalIoTimerId;
        private byte[] mTime;
    }
}
