using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// General servo configuration flags. Used in conjunction with
	/// the CommandManager.ConfigureServo() method.
	/// </summary>
	[Flags]
	public enum ServoConfigurationFlags
	{
		/// <summary>
		/// The enabled state of the servo.
		/// </summary>
		Enabled			= 1 << 7,

		/// <summary>
		/// The inverted state of the servo.
		/// </summary>
		Inverted		= 1 << 6,

		/// <summary>
		/// The disabled state of the servo.
		/// </summary>
		DisabledState	= 1 << 5
	}
}
